##########################
The :mod:`cli` Module
##########################

.. automodule:: cli

*****************************
Argument Handler
*****************************
.. automodule:: cli.arghandler
.. autoclass:: ArgHandler
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Argument Parser
*****************************
.. automodule:: cli.argparser
.. autoclass:: ArgParser
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
CLI DB manager
*****************************
.. automodule:: cli.clidbman
.. autoclass:: CLIDbManager
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Gramps CLI
*****************************
.. automodule:: cli.grampscli
.. autoclass:: CLIDbLoader
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: CLIManager
   :members:
   :undoc-members:
   :show-inheritance:
